Search Feedback

6
votes

Allow batch import of packages needed in existing scripts

General

-

-

There is a command line parameter -importPackage.

It is however totally useless for importing a package that is used by the scripts, since the execution will be terminated with the message:

Scripts have compiler errors.

before the packages have been imported.

Comments (1)

  1. 544371980cf00407b4c5f961844c14af?d=mm

    JanNordenTobii

    Apr 16, 2018 13:24

    I guess I should add that the actual suggestion is to either always allow -importPackage even if there are compilation errors, or to add a -ignoreErrors flag i batch mode.

Your opinion counts

Help us make things better. Share your great idea for improving Unity or vote for other people’s.

Log in to post a new idea

Categories

All

(10797)

2D

(282)

Ads

(56)

AI & Navigation

(84)

Analytics

(133)

Animation

(396)

Asset Store

(356)

Asset Store Publisher

(17)

Assets

(544)

Audio

(185)

Cloud Build

(145)

Collaborate

(65)

Docs & Tutorials

(240)

Editor

(2513)

Everyplay

(19)

Game Performance Reporting

(22)

General

(981)

Graphics

(870)

GUI

(432)

Input

(173)

Licensing

(92)

Networking

(189)

Physics

(384)

Platforms

(442)

Profiling & Optimization

(85)

Runtime

(182)

Scripting

(1169)

Terrain

(172)

WebGL

(143)